%define jbhomedir %{_datadir}/%{name}
%define jbossdir %{_localstatedir}/lib/%{name}
%define logdir   %{_localstatedir}/log
%define tmpdir   %{_localstatedir}/cache

%define tmp_build_file_dir %{_builddir}/jboss-%{jbver}-src/temp_build_file_dir
%define tpcsfile %{tmp_build_file_dir}/tpchecksumsfile
%define rlibcsfile %{tmp_build_file_dir}/repolibchecksumsfile
%define jbossarchivecsfile %{tmp_build_file_dir}/jbossarchivechecksumsfile

# Build specific macros
%define version_major 4
%define version_minor 3
%define version_revision 0
%define version_tag GA_CP10
%define version_name EAP

%define jbver    %{version_major}.%{version_minor}.%{version_revision}.%{version_tag}
%define svnrev   %{?_svnrev}%{!?_svnrev:96181}
%define nightlybuildrel 0.1.%{svnrev}svn.ep1.1%{?dist}
%define taggedversion %{jbver}

Summary:        JBoss Application Server
Name:           jbossas
Version:        %{version_major}.%{version_minor}.%{version_revision}
Release:        12.%{version_tag}_patch_01.1.ep1%{?dist}
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
URL:            http://www.jboss.org/
Source1:        %{name}.catalog
Source2:        %{name}.conf
Source3:        %{name}.init

# rm -r jboss-4.3.0.GA_CP10-src jboss-4.3.0.GA_CP10-src.tar.gz
# mkdir -p jboss-4.3.0.GA_CP10-src/4.3.0.GA_CP10
# svn export https://svn.jboss.org/repos/jbossas/tags/JBPAPP_4_3_0_GA_CP10 jboss-4.3.0.GA_CP10-src/4.3.0.GA_CP10/jboss-4.3.x/
# Exported revision 111797.
# tar czf jboss-4.3.0.GA_CP10-src.tar.gz jboss-4.3.0.GA_CP10-src
Source4:      jboss-%{taggedversion}-src.tar.gz
# svn export -r NNNNN https://svn.jboss.org/repos/jbossas/branches/JBPAPP_4_3_0_GA_CP/ jboss-4.3.0.GA_CP10-src/4.3.0.GA_CP10/jboss-4.3.x/
# tar czf jboss-4.3.0.GA_CP10-NNNNNsvn-src.tar.gz jboss-4.3.0.GA_CP10-src
#Source4:      jboss-%{taggedversion}-%%{svnrev}svn-src.tar.gz

Source5:      %{name}-%{taggedversion}-tp.tar.gz
#Source6:     %{name}-release.properties
Source7:      %{name}-%{version}-jarmap
# This needs to be updated for each CP release as thirdparty-licenses.xml
# contains the version of each component
Source8:      %{name}-%{taggedversion}-tp-licenses.tar.gz

# This needs to be applied in %%install, so we have to make it SourceX
Source10:     %{name}-%{version}-disableauth.patch

Source11:     %{name}-webconsole-context.xml

# Script for computing jar signatures at build time
Source99:     %{name}-%{version}-compute_jar_signature
# JBPAPP-7791 CVE-2011-4605 JNDI: unauthenticated remote write access is permitted by default
Patch10:      %{name}-JBPAPP-7791.patch
# build-thirdparty.patch is used to add versions from security patches released
# after 4.3 CP10
Patch11:      %{name}-build-thirdparty.patch

# JBPAPP-10492 CVE-2012-3546 Tomcat/JBoss Web - Bypass of security constraints
Patch12:      %{name}-CVE-2012-3546.patch
# JBPAPP-10582 CVE-2012-5629 JBoss: allows empty password to authenticate against LDAP
Patch13:      %{name}-JBPAPP-10582.patch
Patch99:      %{name}-buildziponly.patch

BuildRequires:  jpackage-utils,ant,ant-nodeps,gawk,sed,findutils,zip
BuildRequires:  java-1.5.0-sun, java-1.5.0-sun-devel
BuildRequires:  antlr-repolib = 2.7.6
BuildRequires:  asm-repolib = 1.5.3
BuildRequires:  avalon-framework-repolib = 4.1.5
BuildRequires:  avalon-logkit-repolib = 1.2
BuildRequires:  bcel-repolib = 5.1
BuildRequires:  bsf-repolib = 2.3.0
BuildRequires:  bsh-repolib = 1.3.0
BuildRequires:  cglib-repolib = 2.1.3
BuildRequires:  concurrent-repolib = 1.3.4
BuildRequires:  dom4j-repolib = 1.6.1
BuildRequires:  dtdparser-repolib = 1.21
BuildRequires:  glassfish-jaf-repolib = 1.1.0
BuildRequires:  glassfish-javamail-repolib >= 1.4.2
BuildRequires:  glassfish-jsf-repolib >= 1.2_13
BuildRequires:  glassfish-jstl-repolib = 1.2.0
BuildRequires:  gnu-getopt-repolib = 1.0.12
BuildRequires:  gnu-trove-repolib = 1.0.2
BuildRequires:  hibernate3-repolib >= 1:3.2.4-1.SP1_CP12
BuildRequires:  hibernate3-annotations-repolib >= 3.3.1-2.1.GA_CP05
BuildRequires:  hibernate3-entitymanager-repolib >= 3.3.2-2.5.GA_CP01
BuildRequires:  hibernate3-commons-annotations-repolib >= 3.0.0
BuildRequires:  hibernate3-validator-repolib >= 3.0.0
BuildRequires:  hsqldb-repolib >= 1:1.8.0.8-3.patch03.1jpp.ep1.3
BuildRequires:  jacorb-repolib >= 2.3.0-1jpp.ep1.10
BuildRequires:  jakarta-commons-beanutils-repolib = 1.8.0
BuildRequires:  jakarta-commons-codec-repolib = 1.3
BuildRequires:  jakarta-commons-collections-repolib = 3.1
BuildRequires:  jakarta-commons-digester-repolib = 1.7
BuildRequires:  jakarta-commons-discovery-repolib = 1:0.4
BuildRequires:  jakarta-commons-fileupload-repolib = 1:1.1.1
BuildRequires:  jakarta-commons-httpclient-repolib >= 1:3.0.1-1.patch01
BuildRequires:  jakarta-commons-logging-jboss-repolib >= 1.1-10
BuildRequires:  jakarta-commons-lang-repolib = 0:2.1
BuildRequires:  jakarta-slide-webdavclient-repolib >= 2.1-9.2
BuildRequires:  javassist-repolib >= 3.9.0
BuildRequires:  javacc3-repolib = 3.2
BuildRequires:  jaxen-repolib = 1.1
BuildRequires:  jboss-aop-repolib >= 1.5.5-3.CP05
BuildRequires:  jboss-cache-repolib >= 1.4.1-7.SP15
BuildRequires:  jboss-common-repolib >= 1.2.2-1.ep1.1
BuildRequires:  jboss-jaxr-repolib >= 1.2.0-SP2
BuildRequires:  jboss-jbpm-bpel-repolib = 1.1.0
BuildRequires:  jboss-jbpm-jpdl-repolib = 3.2.0
BuildRequires:  jboss-messaging-repolib >= 1.4.0-7.SP3_CP14
BuildRequires:  jboss-microcontainer-repolib >= 1.0.2
BuildRequires:  jboss-profiler-jvmti-repolib = 1.0
BuildRequires:  jboss-remoting-repolib >= 2.2.4
BuildRequires:  jboss-serialization-repolib >= 1.0.5
BuildRequires:  jbossts-repolib >= 1:4.2.3-2.SP5_CP10
BuildRequires:  jboss-vfs-repolib >= 1.0.0
BuildRequires:  jbossweb-repolib >= 2.0.0-9.CP16
BuildRequires:  jbossws-repolib >= 2.0.1-8.SP2_CP11
BuildRequires:  jbossws-common-repolib >= 1.0.0-4.GA_CP07
BuildRequires:  jbossws-framework-repolib >= 2.0.1-2.GA_CP06.2
BuildRequires:  jbossws-native42-repolib >= 2.0.1-8.SP2_CP11
BuildRequires:  jbossws-spi-repolib >= 1.0.0-2.GA_CP03.1
BuildRequires:  jbossxb-repolib >= 1.0.0-2.SP3
BuildRequires:  jfreechart-repolib >= 1.0.13
BuildRequires:  jcommon-repolib >= 1.0.16
BuildRequires:  jgroups-repolib >= 1:2.4.10
BuildRequires:  joesnmp-repolib = 0.3.4
BuildRequires:  juddi-repolib = 0.9
BuildRequires:  junit-repolib = 3.8.2
BuildRequires:  log4j-repolib = 1.2.14
BuildRequires:  odmg-repolib = 3.0
BuildRequires:  qdox-repolib = 1.6.1
BuildRequires:  quartz-repolib >= 1.5.2-1jpp.patch01.ep1.4
BuildRequires:  servletapi6-repolib = 6.0.10
BuildRequires:  snmptrapappender-repolib = 1.2.8
BuildRequires:  glassfish-jaxws-repolib >= 2.1.1
BuildRequires:  glassfish-jaxb-repolib >= 2.1.4-1.17.patch04
BuildRequires:  velocity-jboss-repolib = 1.4
BuildRequires:  ws-commons-policy-repolib = 1.0
BuildRequires:  ws-scout0-repolib = 0.7
BuildRequires:  wstx-repolib = 3.1.1
BuildRequires:  wsdl4j-repolib = 1.6.2
BuildRequires:  xalan-j2-repolib >= 2.7.1
BuildRequires:  xerces-j2-repolib >= 2.7.1-9jpp.6.patch_03.1.ep1
BuildRequires:  xjavadoc-repolib = 1.1
BuildRequires:  xml-commons-repolib = 1.3.03
BuildRequires:  xml-security-repolib >= 1.3.0-1.3.patch01.ep1.2
BuildRequires:  xdoclet-repolib = 1.2.3

# Also, require everything (needed for when we do build-classpath)
BuildRequires:  antlr >= 2.7.6
BuildRequires:  asm >= 1.5.3
BuildRequires:  avalon-framework >= 4.1.5
BuildRequires:  avalon-logkit >= 1.2
BuildRequires:  bcel >= 5.1
BuildRequires:  bsf >= 2.3.0
BuildRequires:  bsh >= 1.3.0
BuildRequires:  cglib >= 2.1.3
BuildRequires:  concurrent >= 1.3.4
BuildRequires:  dom4j >= 1.6.1
BuildRequires:  dtdparser >= 1.21
BuildRequires:  glassfish-jaf = 1.1.0
BuildRequires:  glassfish-javamail = 1.4.2
BuildRequires:  glassfish-jsf >= 1.2_13
BuildRequires:  glassfish-jstl = 1.2.0
BuildRequires:  gnu-getopt >= 1.0.12
BuildRequires:  gnu-trove >= 1.0.2
BuildRequires:  hibernate3 >= 1:3.2.4-1.SP1_CP12
BuildRequires:  hibernate3-validator >= 3.0.0
BuildRequires:  hibernate3-commons-annotations >= 3.0.0
BuildRequires:  hibernate3-annotations >= 3.3.1-2.1.GA_CP05
BuildRequires:  hibernate3-ejb-persistence-3.0-api >= 3.2.1
BuildRequires:  hibernate3-entitymanager >= 3.3.2-2.5.GA_CP01
BuildRequires:  hsqldb >= 1:1.8.0.8-3.patch03.1jpp.ep1.3
BuildRequires:  jacorb >= 2.3.0-1jpp.ep1.10
BuildRequires:  jakarta-commons-beanutils >= 1.8.0
BuildRequires:  jakarta-commons-codec >= 1.3
BuildRequires:  jakarta-commons-collections >= 3.1
BuildRequires:  jakarta-commons-digester >= 1.7
BuildRequires:  jakarta-commons-discovery >= 1:0.4
BuildRequires:  jakarta-commons-fileupload >= 1:1.1.1
BuildRequires:  jakarta-commons-httpclient >= 1:3.0.1-1.patch01
BuildRequires:  jakarta-commons-logging-jboss >= 1.1-10
#BuildRequires:  jakarta-commons-lang >= 0:2.1
BuildRequires:  jakarta-slide-webdavclient >= 2.1-9.2
#BuildRequires:  javacc >= 3.2
BuildRequires:  javassist >= 3.9.0
BuildRequires:  jaxen >= 1.1
BuildRequires:  jboss-aop >= 1.5.5-3.CP05
BuildRequires:  jboss-cache >= 1.4.1-7.SP15
BuildRequires:  jboss-common >= 1.2.2-1.ep1.1
BuildRequires:  jboss-jaxr >= 1.2.0-SP2
BuildRequires:  jboss-jbpm-bpel >= 1.1.0
BuildRequires:  jboss-jbpm-jpdl >= 3.2.0
BuildRequires:  jboss-messaging >= 1.4.0-7.SP3_CP14
BuildRequires:  jboss-microcontainer >= 1.0.2
BuildRequires:  jboss-remoting >= 2.2.4
BuildRequires:  jboss-serialization >= 1.0.5
BuildRequires:  jbossts >= 1:4.2.3-2.SP5_CP10
BuildRequires:  jboss-vfs >= 1.0.0
BuildRequires:  jbossweb >= 2.0.0-9.CP16
BuildRequires:  jbossws >= 2.0.1-8.SP2_CP11
BuildRequires:  jbossws-common >= 1.0.0-4.GA_CP07
BuildRequires:  jbossws-framework >= 2.0.1-2.GA_CP06.2
BuildRequires:  jbossws-native42 >= 2.0.1-8.SP2_CP11
BuildRequires:  jbossws-spi >= 1.0.0-2.GA_CP03.1
BuildRequires:  jbossxb >= 1.0.0-2.SP3
BuildRequires:  jfreechart >= 1.0.13
BuildRequires:  jcommon >= 1.0.16
BuildRequires:  jgroups >= 1:2.4.10
BuildRequires:  joesnmp >= 0.3.4
BuildRequires:  juddi >= 0.9
BuildRequires:  junit >= 3.8.2
BuildRequires:  log4j >= 1.2.14
BuildRequires:  odmg >= 3.0
BuildRequires:  qdox >= 1.6.1
BuildRequires:  quartz >= 1.5.2-1jpp.patch01.ep1.4
BuildRequires:  servletapi6 >= 6.0.10
BuildRequires:  snmptrapappender >= 1.2.8
BuildRequires:  glassfish-jaxws >= 2.1.1
BuildRequires:  glassfish-jaxb >= 2.1.4-1.17.patch04
BuildRequires:  velocity-jboss >= 1.4
BuildRequires:  ws-commons-policy >= 1.0
BuildRequires:  ws-scout0 >= 0.7
BuildRequires:  wstx >= 3.1.1
BuildRequires:  wsdl4j >= 1.6.2
BuildRequires:  xalan-j2 >= 2.7.1
BuildRequires:  xerces-j2 >= 2.7.1-9jpp.6.patch_03.1.ep1
BuildRequires:  xjavadoc >= 1.1
BuildRequires:  xml-commons-jaxp-1.3-apis >= 1.3.03
BuildRequires:  xml-commons-resolver >= 1.1
BuildRequires:  xml-security >= 1.3.0-1.3.patch01.ep1.2
BuildRequires:  xdoclet >= 1.2.3

Requires:       java-1.5.0
Requires:       java-1.5.0-devel
Requires:       gawk
Requires:       grep

Requires:       antlr >= 2.7.6
Requires:       avalon-framework >= 4.1.5
Requires:       avalon-logkit >= 1.2
Requires:       bcel >= 5.1
Requires:       bsf >= 2.3.0
Requires:       bsh >= 1.3.0
Requires:       cglib >= 2.1.3
Requires:       concurrent >= 1.3.4
Requires:       dom4j >= 1.6.1
Requires:       dtdparser >= 1.21
Requires:       glassfish-jaf >= 1.1.0
Requires:       glassfish-javamail >= 1.4.2
Requires:       glassfish-jsf >= 1.2_13
Requires:       glassfish-jstl >= 1.2.0
Requires:       gnu-getopt >= 1.0.12
Requires:       gnu-trove >= 1.0.2
Requires:       hibernate3 >= 1:3.2.4-1.SP1_CP12
Requires:       hibernate3-annotations >= 3.3.1-2.1.GA_CP05
Requires:       hibernate3-ejb-persistence-3.0-api >= 3.2.1
Requires:       hibernate3-entitymanager >= 3.3.2-2.5.GA_CP01
Requires:       hibernate3-commons-annotations >= 3.0.0
Requires:       hibernate3-validator >= 3.0.0
Requires:       hsqldb >= 1:1.8.0.8-3.patch03.1jpp.ep1.3
Requires:       jacorb >= 2.3.0-1jpp.ep1.10
Requires:       jakarta-commons-codec >= 1.3
Requires:       jakarta-commons-collections >= 3.1
Requires:       jakarta-commons-digester >= 1.7
Requires:       jakarta-commons-discovery >= 1:0.4
Requires:       jakarta-commons-fileupload >= 1:1.1.1
Requires:       jakarta-commons-httpclient >= 1:3.0.1-1.patch01
Requires:       jakarta-commons-logging-jboss >= 1.1-10
# The one below is not needed at run-time, it seems
#Requires:       jakarta-commons-lang >= 0:2.1
Requires:       jakarta-slide-webdavclient >= 2.1-9.2
# The one below is not needed at run-time, it seems
#Requires:       javacc >= 3.2
Requires:       javassist >= 3.9.0
Requires:       jaxen >= 1.1
Requires:       jboss-aop >= 1.5.5-3.CP05
Requires:       jboss-cache >= 1.4.1-7.SP15
Requires:       jboss-common >= 1.2.2-1.ep1.1
Requires:       jboss-jaxr >= 1.2.0-SP2
Requires:       jboss-microcontainer >= 1.0.2
Requires:       jboss-remoting >= 2.2.4
Requires:       jboss-messaging >= 1.4.0-7.SP3_CP14
Requires:       jboss-serialization >= 1.0.5
Requires:       jbossts >= 1:4.2.3-2.SP5_CP10
Requires:       jboss-vfs >= 1.0.0
Requires:       jbossweb >= 2.0.0-9.CP16
Requires:       jbossws >= 2.0.1-8.SP2_CP11
Requires:       jbossws-common >= 1.0.0-4.GA_CP07
Requires:       jbossws-framework >= 2.0.1-2.GA_CP06.2
Requires:       jbossws-spi >= 1.0.0-2.GA_CP03.1
Requires:       jbossxb >= 1.0.0-2.SP3
Requires:       jfreechart >= 1.0.13
Requires:       jcommon >= 1.0.16
Requires:       jgroups >= 1:2.4.10
Requires:       joesnmp >= 0.3.4
Requires:       log4j >= 1.2.14
Requires:       odmg >= 3.0
Requires:       qdox >= 1.6.1
Requires:       quartz >= 1.5.2-1jpp.patch01.ep1.4
Requires:       servletapi6 >= 6.0.10
Requires:       snmptrapappender >= 1.2.8
Requires:       glassfish-jaxws >= 2.1.1
Requires:       glassfish-jaxb >= 2.1.4-1.17.patch04
Requires:       ws-commons-policy >= 1.0
Requires:       ws-scout0 >= 0.7
Requires:       wstx >= 3.1.1
Requires:       wsdl4j >= 1.6.2
Requires:       xalan-j2 >= 2.7.1
Requires:       xerces-j2 >= 2.7.1-9jpp.6.patch_03.1.ep1
Requires:       xjavadoc >= 1.1
Requires:       xml-commons-jaxp-1.3-apis >= 1.3.03
Requires:       xml-commons-resolver >= 1.1
Requires:       xml-security >= 1.3.0-1.3.patch01.ep1.2
Requires:       jpackage-utils >= 1.7.3
# Note, the RC5 (2.0RC5) requires a newer Scout, which we can't use
# so make sure 0.9rc4 is used
Requires:       juddi >= 0:0.9

Requires:       jpackage-utils
Requires:       /bin/grep,/bin/netstat
Requires(post): /usr/bin/md5sum

Requires:      %{name}-client = %{epoch}:%{version}-%{release}

Provides:      %{name}-ejb3 = %{epoch}:1.0.0-0.2.rc10
Obsoletes:     %{name}-ejb3 < 0:1.0.0-0.2.rc10
Provides:      %{name}-core = %{epoch}:%{version}-%{release} 
Obsoletes:     %{name}-core <= 0:4.0.5

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss Application Server is the #1 most widely used Java application server 
on the market. A J2EE certified platform for developing and deploying
enterprise Java applications, Web applications, and Portals, 
JBoss Application Server provides the full range of J2EE 1.4 features as 
well as extended enterprise services including clustering, caching, and 
persistence.

%package client
Summary:     JBoss Application Server Client libraries
Group:       Development

%description client
JBoss Application Server Client libraries

%package zip
Summary:     Container for the zipped distribution of jbossas
Group:       Development

%description zip
Container for the zipped distribution of jbossas

%package src-zip
Summary:     Container for the sources (with thirdparty)
Group:       Development

%description src-zip
Container for the sources (with thirdparty)

%package %{jbver}-bin
Summary:     Binary only jbossas distribution
Group:       Internet/WWW/Servers
Requires:    jbossas

%description %{jbver}-bin
This is a binary only distribution of the JBoss Application Server. 
The intent of this package is to allow multiple simultaneous installations
of different versions. 

%prep
%setup -T -q -b 4 -n jboss-%{jbver}-src

cp %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build-release.xml .

mkdir %{tmp_build_file_dir}

pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x
%patch10 -p0
%patch12 -p0
%patch13 -p0
popd
%patch11 -p1
%patch99

tar xzf %{SOURCE5}

pushd %{jbver}/jboss-%{version_major}.%{version_minor}.x/thirdparty
tar xzf %{SOURCE8}
popd

echo "release.version.major=%{version_major}" > release.properties
echo "release.version.minor=%{version_minor}" >> release.properties
echo "release.version.revision=%{version_revision}" >> release.properties
echo "release.version.tag=%{version_tag}" >> release.properties
echo "version.name=%{version_name}" >> release.properties
echo "version.cvstag=JBPAPP_%{version_major}_%{version_minor}_%{version_revision}_%{version_tag}" >> release.properties

# Compute checksums of jars in tp (note: our 'compute' consists of stripping meta 
# info and computing only classes)

# temporary hack to have policy as a BR, but not a R
#cp -r  %{_javadir}/repository.jboss.com/wscommons-policy thirdpartyrepo/

(cd thirdpartyrepo
    rm -f %{tpcsfile}
    for i in `find \`pwd\` -type f -name "*ar" | sort`; do
       %{SOURCE99} $i >> %{tpcsfile}
    done
)

# Grab remaining thirdparty jars...
rm -f %{rlibcsfile}
for item in %{_javadir}/repository.jboss.com/*; do

    # temporary hack to have policy as a BR, but not a R
    #if [ "$item" == "%{_javadir}/repository.jboss.com/wscommons-policy" ]; then
    #    continue
    #fi

    cp -r $item thirdpartyrepo/

    # Add the checksums from that jar into the checksum file
    for i in `find $item -type f -name "*ar" | sort`; do
        %{SOURCE99} $i >> %{rlibcsfile}
    done
done

# Sed out the task that requires going online (we package licenses directly)
sed -i -e s:'<visit-componentref-graph componentVisitor="org.jboss.ant.util.graph.ComponentRefGraphLicenseVisitor"/>'::g  %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build-thirdparty.xml

# Build thirdparty
ant -f %{jbver}/jboss-%{version_major}.%{version_minor}.x/build/build.xml \
    -Dversion.major=%{version_major} \
    -Dversion.minor=%{version_minor} \
    -Dversion.revision=%{version_revision} \
    -Dversion.tag=%{version_tag} \
    -Dversion.name=%{version_name} \
    -Dbuild.soa=true \
    -Djbossbuild.repository=file://`pwd`/thirdpartyrepo \
    createthirdparty

mkdir -p %{jbver}/dist
(cd %{jbver}/jboss-%{version_major}.%{version_minor}.x
    mv build/docs/JBossORG-EULA.txt  build/docs/JBossEULA.txt
    zip -q -r ../dist/jboss-%{jbver}-src.zip *
)

%build

ant -f build-release.xml \
    -Dversion.major=%{version_major} \
    -Dversion.minor=%{version_minor} \
    -Dversion.revision=%{version_revision} \
    -Dversion.tag=%{version_tag} \
    -Dversion.name=%{version_name} \
    -Dbuild.soa=true \
    -Dinhibit.downloads=true \
    -Dbuild.production=true  \
    build-dist release 2>&1 | tee %{tmp_build_file_dir}/build.log

%install
rm -rf $RPM_BUILD_ROOT
rm -rf jboss-eap-4.2

# Extract the "distribution" so that we can patch appropriate files 
# and install from it
mkdir jboss-eap-4.2

# Do the docs stuff
pushd jboss-eap-4.2

# Extract the .zip
unzip -q ../%{jbver}/dist/jboss-%{jbver}.zip

# Change dir name of directory, for the monolithic zip
mv jboss-%{jbver} jboss-as

# Remove an un-needed file from production config
rm -f jboss-as/server/production/conf/standardjaws.xml

# Remove the empty docs/tests dir (JBPAPP-114)
rmdir jboss-as/docs/tests

# Set up a specific context for web-console, so that links are allowed for it
cp %{SOURCE11} jboss-as/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
cp %{SOURCE11} jboss-as/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
cp %{SOURCE11} jboss-as/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml

# Copy DTD catalog into place
install -m 644 %{SOURCE1} jboss-as/docs/dtd/catalog

zip -q -r ../%{jbver}/dist/jboss-%{jbver}-withauth.zip jboss-as

# Apply auth patch
pushd jboss-as
patch -p0 < %{SOURCE10}
find -type f -name "*.sav" | xargs rm -f
popd

zip -q -r ../%{jbver}/dist/jboss-%{jbver}-noauth.zip jboss-as

# After zipping

# Remove the patch from above (else it'll go into the rpm)
pushd jboss-as
patch -R -p0 < %{SOURCE10}
find -type f -name "*.sav" | xargs rm -f
popd

# Make RPM specific fixes:

# Set jboss.dist to a direct path, since relative paths don't work due 
# to the symlink setup
# FIXME: svn67044 added replace-messaging-examples which removes the existing
# docs/examples/jms with one from jboss.messaging.resources
# But is there something in the new one that needs the same kind of adjustment?
#sed -i -e s:'<property name="jboss.dist" value="../../../.."/>':'<property name="jboss.dist" value="/var/lib/jbossas"/>': jboss-as/docs/examples/jms/standalone/build.xml

popd

# install binary-only
install -dm 755 $RPM_BUILD_ROOT/opt
unzip -qd $RPM_BUILD_ROOT/opt %{jbver}/dist/jboss-%{jbver}-withauth.zip
mv $RPM_BUILD_ROOT/opt/jboss-as $RPM_BUILD_ROOT/opt/jbossas-%{jbver}
rm -f $RPM_BUILD_ROOT/opt/jbossas-%{jbver}/bin/*bat
rm -f $RPM_BUILD_ROOT/opt/jbossas-%{jbver}/bin/{jboss_init_hpux.sh,jboss_init_solaris.sh,jboss_init_suse.sh}

# Go into the distribution dir
pushd jboss-eap-4.2/jboss-as

# file missing from binary dist
#install -m 644 %{SOURCE4} docs/licenses/sun-specs.txt

# Global configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cat > jbossas.conf << EOT
# System-wide configuration file for jbossas services
# This will be sourced by jbossas and any secondary service
# Values will be overridden by service-specific configuration
# files in /etc/sysconfig
# Use this one to change default values for all services
# Change the service specific ones to affect only one service
# (see, for instance, /etc/sysconfig/jbossas)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas.conf
install -m 644 jbossas.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rm jbossas.conf
# Service-specific configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat > jbossas << EOT
# Service-specific configuration file for jbossas services
# This will be sourced by the SysV service script after the global
# configuration file /etc/jbossas/jbossas.conf, thus allowing values
# to be overridden on a per-service way
#
# NEVER change the init script itself:
# To change values for all services make your changes in
# /etc/jbossas/jbossas.conf
# To change values for a specific service, change it here
# To create a new service, create a link from /etc/init.d/<you new service> to
# /etc/init.d/jbossas (do not copy the init script) and make a copy of the
# /etc/sysconfig/jbossas file to /etc/sysconfig/<you new service> and change
# the property values so the two services won't conflict
# Register the new service in the system as usual (see chkconfig and similars)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas

install -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

sed -i -e s:'JBOSS_HOME="/var/lib/jbossas"':'JBOSS_HOME="/opt/%{name}-%{jbver}"':g jbossas
install -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}-%{jbver}
rm jbossas
# Configuration file used when run.sh is used
install -m 644 bin/run.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 %{SOURCE3} \
			$RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}

# Copy file over for -bin rpm and modify it's JBOSS_HOME
install -m 755 %{SOURCE3} \
                        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}-%{jbver}
sed -i -e s:'JBOSS_HOME=${JBOSS_HOME\:-"/var/lib/jbossas"}':'JBOSS_HOME=${JBOSS_HOME\:-"/opt/%{name}-%{jbver}"}':g \
                        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}-%{jbver}

install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/client
cp -pr client/* $RPM_BUILD_ROOT%{jbhomedir}/client
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr lib/* $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr server $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tests

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
install -m 644 bin/security_cc.policy $RPM_BUILD_ROOT%{jbossdir}/bin/
for script in classpath probe run shutdown twiddle wstools wsconsume wsrunclient wsprovide; do
  install -m 0755 bin/${script}.sh $RPM_BUILD_ROOT%{jbossdir}/bin/${script}.sh
  ln -sf %{jbossdir}/bin/${script}.sh $RPM_BUILD_ROOT%{_bindir}/jbossas-${script}
done
install -m 644 bin/*.jar $RPM_BUILD_ROOT%{jbossdir}/bin
pushd $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{_sysconfdir}/%{name}/run.conf .
popd

install -m 644 copyright.txt $RPM_BUILD_ROOT%{jbossdir}
install -m 644 jar-versions.xml $RPM_BUILD_ROOT%{jbossdir}
install -m 644 lgpl.html $RPM_BUILD_ROOT%{jbossdir}
install -m 644 JBossEULA.txt $RPM_BUILD_ROOT%{jbossdir}

ln -s %{jbhomedir}/client $RPM_BUILD_ROOT%{jbossdir}/client
ln -s %{jbhomedir}/lib $RPM_BUILD_ROOT%{jbossdir}/lib
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs

ln -s %{jbossdir}/bin $RPM_BUILD_ROOT%{jbhomedir}/bin
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbhomedir}/docs
ln -s %{jbossdir}/server $RPM_BUILD_ROOT%{jbhomedir}/server

for server in all default minimal production; do
  mv $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$server
  ln -sf %{_sysconfdir}/%{name}/$server \
	$RPM_BUILD_ROOT%{jbossdir}/server/$server/conf
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}/$server
# avoid these symlinks for now
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/temp/$server
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/work/$server
# and replace them by straight dirs
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
#
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/data
  ln -s %{logdir}/%{name}/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
# avoid these symlinks for now
# ln -s %{tmpdir}/%{name}/temp/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
# ln -s %{tmpdir}/%{name}/work/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/work

   # re-link logs for -bin package
   install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}-%{jbver}/$server
   ln -s %{logdir}/%{name}-%{jbver}/$server $RPM_BUILD_ROOT/opt/jbossas-%{jbver}/server/$server/log

done
#cleanup
find $RPM_BUILD_ROOT -name "*.sav" -exec rm -f {} \;

popd

# Compute signatures for all archives in the install dirs
rm -f %{jbossarchivecsfile} 
for i in `find $RPM_BUILD_ROOT%{jbhomedir} $RPM_BUILD_ROOT%{jbossdir} -type f -name "*ar" | sort`; do
    %{SOURCE99} $i >> %{jbossarchivecsfile}
done

# We now have checksums of
# 1. Files from thirdparty
# 2. Files from repolib (brew)
# 3. Files in /usr/share/jbossas and /var/lib/jbossas
#
# Files from thirdparty will be copied/unversioned
# Files from repolib will be linked
# Remaining files will be copied/versioned

OLD_IFS=$IFS
IFS='
'

rm -f %{tmp_build_file_dir}/tpfiles %{tmp_build_file_dir}/rlibfiles 
rm -f %{tmp_build_file_dir}/builtfiles

# Identify files in thirdparty
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/tpfiles
    fi
done

# Identify files from brew
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{rlibcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/rlibfiles
    fi
done

# Identify files from neither
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`
    found=$found`grep $checksum %{rlibcsfile} || :`

    if [ -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/builtfiles
    fi
done

# We created a list in %%prep with existing jar/ear/war files.. other than those, we install everything

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/rars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/sars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/wars

# Files to copy and version to /usr/share/java/jbossas (all built files)
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=""
    extension=${archive##*.}

    if [ $extension == "rar" ]; then
        dir=%{_javadir}/%{name}/rars
    elif [ $extension == "sar" ]; then
        dir=%{_javadir}/%{name}/sars
    elif [ $extension == "war" ]; then
        dir=%{_javadir}/%{name}/wars
    else
        dir=%{_javadir}/%{name}
    fi

    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    versionedname=`basename $archive | sed -e s:\\\\\(\\\..ar\\\\\):-%{version}\\\1:`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$versionedname ]; then
        sig1=`%{SOURCE99} $archive | awk '{print $1}'`
        sig2=`%{SOURCE99} $buildrootjavadir/$versionedname | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$versionedname"
            exit 1
        fi
    else
        install -m 644 $archive $buildrootjavadir/$versionedname
        ln -s $versionedname $buildrootjavadir/`basename $archive`
    fi

    # Remove archive from $JBOSS_HOME and link it
   rm -f $archive
   ln -s $dir/`basename $archive` $archive

done < %{tmp_build_file_dir}/builtfiles

# Third party files to copy to /usr/share/java/jbossas/thirdparty (non brew built)
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/thirdparty
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=%{_javadir}/%{name}/thirdparty
    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    filename=`basename $archive`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$filename ]; then
        sig1=`%{SOURCE99} $archive | awk '{print $1}'`
        sig2=`%{SOURCE99} $buildrootjavadir/$filename | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$filename"
            exit 1
        fi
    else
        install -m 644 $archive $buildrootjavadir/$filename
    fi

    # Remove archive from $JBOSS_HOME and link it
    rm -f $archive
    ln -s $dir/$filename $archive

done < %{tmp_build_file_dir}/tpfiles

# Finally, link brew built jars...
while read archive; do

    archive=$RPM_BUILD_ROOT$archive

    tosearch=`basename $archive`
    jarname=`grep -E "^$tosearch " %{SOURCE7} | awk '{print $2}' || :`
    jarfile=$(build-classpath $jarname) || :
 
    if [ -z "$jarname" ] || [ -z "$jarfile" ]; then
        echo "Incorrect/missing archive mapping for $archive"
        exit 1
    fi

    rm -f $archive
    ln -s $jarfile $archive

done < %{tmp_build_file_dir}/rlibfiles

# Temporary workaround for JBAS-3433.
# See: http://jira.jboss.org/jira/browse/JBAS-3433
for file in $RPM_BUILD_ROOT%{jbossdir}/bin/*.jar; do
    filebasename=`basename $file`
    rm -f $RPM_BUILD_ROOT%{jbossdir}/bin/$filebasename
    /bin/cp -f $RPM_BUILD_ROOT/%{_javadir}/%{name}/$filebasename $RPM_BUILD_ROOT%{jbossdir}/bin/
done

# Mark files status for jars, .xml's, .properties, etc. based on their extention
serverfileslist=%{tmp_build_file_dir}/jbossas-server-files.list.full
rm -f $serverfileslist
for file in `find $RPM_BUILD_ROOT%{jbossdir}/server`; do

    actualfile=`echo $file | sed -e s:^$RPM_BUILD_ROOT::g -e s:/var/lib/jbossas:%%{jbossdir}:g`

    # .xml/.properties => config file
    if [ "${actualfile##*.}" == "xml" ] || [ "${actualfile##*.}" == "properties" ]; then
       echo "%attr(-,jboss,jboss)  %config(noreplace) $actualfile" >> $serverfileslist
    elif [ -d "$file" ]; then
       # directory
       echo "%attr(-,jboss,jboss) %dir $actualfile" >> $serverfileslist
    else
       # Not a config file, not a directory => normal
       echo "%attr(-,jboss,jboss) $actualfile" >> $serverfileslist
    fi

done

# Do the same for javadir
# Mark files status for jars, .xml's, .properties, etc. based on their extention
for file in `find $RPM_BUILD_ROOT%{_javadir}/%{name}`; do

    actualfile=`echo $file | sed -e s:^$RPM_BUILD_ROOT::g -e s:/usr/share/java/jbossas:%%{_javadir}/%%{name}:g`

    # .xml/.properties => config file
    if [ "${actualfile##*.}" == "xml" ] || [ "${actualfile##*.}" == "properties" ]; then
       echo "%attr(-,jboss,jboss)  %config(noreplace) $actualfile" >> $serverfileslist
    elif [ -d "$file" ]; then
       # directory
       echo "%attr(-,jboss,jboss) %dir $actualfile" >> $serverfileslist
    else
       # Not a config file, not a directory => normal
       echo "%attr(-,jboss,jboss) $actualfile" >> $serverfileslist
    fi

done

# Separate client libraries
serveronlyfileslist=%{tmp_build_file_dir}/jbossas-server-files.list
clientfileslist=%{tmp_build_file_dir}/jbossas-client-files.list
cat  $serverfileslist | grep '\-client.*jar' > $clientfileslist
cat  $serverfileslist | grep -v '\-client.*jar' > $serveronlyfileslist

# Move the following from the jbossas package to the -client subpackage
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-annotations-ejb3.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-annotations-ejb3-4.3.0.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-deployment.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-deployment-4.3.0.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-ejb3x.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-ejb3x-4.3.0.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-j2ee.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jboss-j2ee-4.3.0.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jbossjmx-ant.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jbossjmx-ant-4.3.0.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jbossws-jboss42.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/jbossws-jboss42-4.3.0.jar/' $serveronlyfileslist
perl -ni -e 'print unless /%%{_javadir}\/%%{name}\/thirdparty\/stax-api.jar/' $serveronlyfileslist
cat << EOF >> $clientfileslist
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-annotations-ejb3.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-annotations-ejb3-4.3.0.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-deployment.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-deployment-4.3.0.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-ejb3x.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-ejb3x-4.3.0.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-j2ee.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jboss-j2ee-4.3.0.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jbossjmx-ant.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jbossjmx-ant-4.3.0.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jbossws-jboss42.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/jbossws-jboss42-4.3.0.jar
%attr(-,jboss,jboss) %{_javadir}/%{name}/thirdparty/stax-api.jar
EOF

install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev

# Copy over zip for the zip subpackage
install -m 644 %{jbver}/dist/jboss-%{jbver}-noauth.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-noauth.zip
install -m 644 %{jbver}/dist/jboss-%{jbver}-withauth.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-withauth.zip

# Copy over source zip for the src-zip subpackage
install -m 644 %{jbver}/dist/jboss-%{jbver}-src.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-src.zip

%clean
rm -rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
/usr/sbin/groupadd -r jboss 2>/dev/null || :
/usr/sbin/useradd -c JBossAS -r -s $JBOSS_SHELL -d /usr/share/%{name} -g jboss jboss 2>/dev/null || :
if [ "$1" = 2 ]; then
  # stop server before upgrade
  %{_sysconfdir}/init.d/%{name} stop >/dev/null 2>&1
fi

%post
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null || :
fi
[ -x /sbin/chkconfig ] && chkconfig --add %{name} || :

%preun
# remove service
if [ "$1" = 0 ]; then
  # on erase
  %{_sysconfdir}/init.d/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && chkconfig --del %{name}
fi

%postun
# We NEVER, EVER remove users and groups from the system after they are added!
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jboss > /dev/null 2>&1 || :
#  groupdel jboss > /dev/null 2>&1 || :
#fi
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null || :
fi

%pre client
JBOSS_SHELL=/sbin/nologin
/usr/sbin/groupadd -r jboss 2>/dev/null || :
/usr/sbin/useradd -c JBossAS -r -s $JBOSS_SHELL -d /usr/share/%{name} -g jboss jboss 2>/dev/null || :

%files -f temp_build_file_dir/jbossas-server-files.list
%defattr(0644,jboss,jboss,0755)
%attr(0755,root,root) %{_sysconfdir}/init.d/%{name}

# avoid these symlinks for now
#%attr(-,jboss,jboss) %{tmpdir}/%{name}
# they were replaced by straight dirs

%attr(-,jboss,jboss) %{logdir}/%{name}

%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%doc %{_docdir}

%dir %{jbhomedir}
%{jbhomedir}/bin
%{jbhomedir}/docs
%{jbhomedir}/lib
%{jbhomedir}/server

%dir %{jbossdir}
%doc %{jbossdir}/JBossEULA.txt
%doc %{jbossdir}/copyright.txt
%{jbossdir}/jar-versions.xml
%doc %{jbossdir}/*.html
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,root,root) %{_bindir}/*
%attr(0755,jboss,jboss) %{jbossdir}/bin/*.sh
%{jbossdir}/bin/*.policy
%{jbossdir}/bin/run.conf
%{jbossdir}/docs
%{jbossdir}/lib

%files client -f temp_build_file_dir/jbossas-client-files.list
%defattr(0644,jboss,jboss,0755)

%dir %{jbhomedir}
%{jbhomedir}/client
%dir %{jbossdir}
%{jbossdir}/client

%files zip
%defattr(0644,jboss,jboss,0755)
%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-noauth.zip
%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-withauth.zip

%files src-zip
%defattr(0644,jboss,jboss,0755)
%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-src.zip

%files %{jbver}-bin
%defattr(0644,jboss,jboss,0755)
%dir /opt/%{name}-%{jbver}
%attr(0755,root,root) %{_sysconfdir}/init.d/%{name}-%{jbver}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-%{jbver}
%attr(0755,jboss,jboss) /opt/%{name}-%{jbver}/bin/*.sh
/opt/%{name}-%{jbver}/bin/*.jar
/opt/%{name}-%{jbver}/bin/*.policy
/opt/%{name}-%{jbver}/bin/run.conf
%dir /opt/%{name}-%{jbver}/bin
/opt/%{name}-%{jbver}/client
/opt/%{name}-%{jbver}/docs
/opt/%{name}-%{jbver}/lib
/opt/%{name}-%{jbver}/server
%doc /opt/%{name}-%{jbver}/JBossEULA.txt
%doc /opt/%{name}-%{jbver}/copyright.txt
/opt/%{name}-%{jbver}/jar-versions.xml
/opt/%{name}-%{jbver}/lgpl.html

%attr(-,jboss,jboss) %{logdir}/%{name}-%{jbver}

%changelog
* Mon Jan 21 2013 Lin Gao <lgao@redhat.com> - 4.3.0-12.GA_CP10_patch_01.1
- Add fix for CVE-2012-5629

* Tue Dec 18 2012 Lin Gao <lgao@redhat.com> - 4.3.0-11.GA_CP10_patch_02.1
- Add fix for CVE-2012-3546

* Mon Mar 12 2012 Martha Benitez <mbenitez@redhat.com> - 4.3.0-10.GA_CP10_patch_01.1
- Add fix for CVE-2011-4605

* Wed Jul 20 2011 Permaine Cheung <pcheung@redhat.com> - 4.3.0-9.GA_CP10.2
- Add license-info.xml back into licenses tar ball

* Wed Jul 13 2011 Martha Benitez <mbenitez@redhat.com> - 4.3.0-9.GA_CP10.1
- Upgrade to CP10
- Upgrade hibernate3 to 3.2.4.SP1_CP12
- Upgrade hibernate3-annotations to 3.3.1.GA_CP05
- Upgrade jakarta-commons-logging-jboss to 1.1-10
- Upgrade jboss-cache to 1.4.1.SP15
- Upgrade jboss-messaging to 1.4.0.SP3_CP14 (pcheung)
- Upgrade jboss-remoting to 2.2.4
- Upgrade jboss-serialization to 1.0.5
- Upgrade jbossweb to 2.0.0.GA_CP16
- Upgrade jbossws to 2.0.1.SP2_CP11
- Upgrade jbossws-native42 to 2.0.1.SP2_CP11
- Upgrade jbossws-common to 1.0.0.GA_CP07
- Upgrade jbossws-framework to 2.0.1.GA_CP06
- Upgrade jbossws-spi to 1.0.0.GA_CP03
- Upgrade jgroups to 2.4.10
- Upgrade xerces to 2.7.1.patch-03
- Update disableauth patch for JBPAPP-6284 (pcheung)

* Mon Nov 08 2010 Martha Benitez <mbenitez@redhat.com> - 4.3.0-8.GA_CP09.2
- Add security_cc.policy (JBPAPP-5359)
- Upgrade jboss-messaging to 1.4.0.SP3_CP11
- Change (B)R glassfish-jaxb 2.1.4-1.12.patch03 to 2.1.4-1.17.patch04

* Fri Oct 15 2010 Martha Benitez <mbenitez@redhat.com> - 4.3.0-8.GA_CP09.1
- Upgrade to CP09
- Upgrade hibernate3 to 3.2.4.SP1_CP11
- Upgrade hibernate3-annotations to 3.3.1.GA_CP04
- Upgrade javassist to 3.9.0.GA
- Upgrade jbossws to 2.0.1.SP2_CP09
- Upgrade jbossws-common to 1.0.0.GA_CP06
- Upgrade jboss-remoting to 2.2.3.SP3
- Upgrade jbossts to 4.2.3.SP5_CP10
- Upgrade jbossweb to 2.0.0.GA_CP15
- Upgrade jboss-common to 1.2.2.GA
- Upgrade jgroups to 2.4.9
- Upgrade xalan-j2 to 2.7.1.patch04
- Remove the patches for JBPAPP-3633, JBPAPP-3966, JBPAPP-3979

* Tue Apr 20 2010 Martha Benitez <mbenitez@redhat.com> 4.3.0-7.GA_CP08.5
- Upgrade src tar ball for CR2
- Remove jacorb patch

* Thu Apr 15 2010 Martha Benitez <mbenitez@redhat.com> 4.3.0-7.GA_CP08.4
- Adjust disableauth.patch to take into account changes from security patches
- Upgrade jacorb to 2.3.0.patch8
- Add patch to update jacorb version in sources

* Wed Mar 31 2010 Permaine Cheung <pcheung@redhat.com> 4.3.0-7.GA_CP08.3
- Rebuild to incorporate latest hsqldb build

* Tue Mar 30 2010 Martha Benitez <mbenitez@redhat.com> 4.3.0-7.GA_CP08.2
- Change R hibernate3-entitymanager back to 3.3.2-2.5.GA_CP01 since it is not a version upgrade
- JBPAPP-3633 - OWASP A6: Information leakage by unprotected servlets (Patch0,1)
- JBPAPP-3966 - CVE-2010-0738 jmx-console authentication bypass
- JBPAPP-3979 - Default Block for all HTTP methods in web-console security constraint

* Mon Mar 29 2010 Martha Benitez <mbenitez@redhat.com> 4.3.0-7.GA_CP08.1
- Upgrade to CP08
- Upgrade hibernate3 to 3.2.4.SP1_CP10
- Upgrade hibernate3-annotations to 3.3.1.GA_CP03
- Upgrade hibernate3-entitymanager to 3.3.2.GA_CP01
- Upgrade to hsqldb 1.8.0.8.patch03
- Upgrade to httpclient 3.0.1.patch01
- Upgrade jboss-aop to 1.5.5.CP05
- Upgrade jboss-cache to 1.4.1.SP14
- Upgrade jboss-messaging to 1.4.0.SP3_CP10
- Upgrade jboss-remoting to 2.2.3.SP2
- Upgrade jbossts to 4.2.3.SP5_CP09
- Upgrade jbossweb to 2.0.0.CP13
- Upgrade jbossws to 2.0.1.SP2_CP08
- Upgrade jbossws-native42 to 2.0.1.SP2_CP08

* Wed Nov 25 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-6.GA_CP07.4
- Update src and license tar ball
- Rebuild to pick up latest jakarta-commons-logging-jboss build
- Upgrade jfreechart to 1.0.13
- Upgrade jcommon to 1.0.16
- Upgrade jbossts to 4.2.3.SP5_CP08

* Wed Nov 11 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-6.GA_CP07.3
- Rebuild to pick up latest version of jakarta-commons-logging-jboss

* Mon Nov 7 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-6.GA_CP07.2
- Rebuild to pick up latest version of jakarta-commons-logging-jboss and 
  the correct build of glassfish-javamail

* Mon Nov 7 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-6.GA_CP07.1
- Upgrade to CP07
- Upgrade Commons-Logging to 1.1.patch01
- Upgrade Hibernate to 3.2.4 SP1_CP09
- Upgrade Hibernate Annotations to 3.3.1.GA_CP02
- Upgrade Hibernate Entitymanager to 3.3.2.GA_CP01
- Upgrade glassfish-javamail to 1.4.2
- Upgrade glassfish-jsf to 1.2_13
- Upgrade jacorb to 2.3.0.patch7
- Upgrade jboss-aop to 1.5.5.CP04
- Upgrade JBoss Remoting to 2.2.3.SP1
- Upgrade JBossTS to 4.2.3 SP5_CP07
- Upgrade JBoss Web to 2.0.0 CP12
- Upgrade JBossWS to 2.0.1.SP2_CP07
- Upgrade JBossWS Common to 1.0.0.GA_CP05
- Upgrade JBossWS Framework to 2.0.1.GA_CP05
- Upgrade glassfish-jaxb to 2.1.4.patch03
- Upgrade to JGroups 2.4.7
- Upgrade Quartz to 1.5.2.patch01
- Upgrade Xerces to 2.7.1.patch02
- Upgrade xml-security to 1.3.0.patch01
- Update tp and tp-licenses tar ball
- Add docs/dtd/catalog and 
  deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml to zip

* Tue Jul 14 2009 Fernando Nasser <fnasser@redhat.com> 4.3.0-5.GA_CP06.1
- Upgrade to CP06
- Upgrade jboss-messaging to 1.4.0.SP3_CP08.patch01

* Wed Jun 24 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-4.GA_CP05.6
- Remove jboss_init_hpux.sh, jboss_init_solaris.sh and  jboss_init_suse.sh
  from the -bin rpm

* Mon Jun 22 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-4.GA_CP05.5
- Bump Release to accomodate upgrading from the FP

* Thu Jun 11 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP05.5
- Fix R: on hibernate3, glassfish-jaxb and jboss-messaging

* Tue Jun 9 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP05.4
- Upgrade JBoss Web to 2.0.0 CP11
- Update src tarball

* Wed Jun 4 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP05.3
- Update src tarball

* Wed Jun 3 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP05.2
- Update the release of hsqldb, jakarta-slide-webdavclient and xerces-j2 in 
  BR and R

* Wed Jun 3 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP05.1
- Upgrade to CP05
- Upgrade Hibernate to 3.2.4 SP1_CP08
- Upgrade Hibernate Annotations to 3.3.1 GA_CP01
- Upgrade Hibernate Entitymanager to 3.3.2
- Upgrade Hibernate Commons Annotations to 3.0.0
- Upgrade Hibernate Validator to 3.0.0
- Upgrade JBoss Cache to 1.4.1.SP13
- Upgrade JBoss-Messaging to 1.4.0.SP3-CP08
- Upgrade JBoss Remoting to 2.2.3
- Upgrade JBossTS to 4.2.3 SP5_CP05
- Upgrade JBoss Web to 2.0.0 CP10
- Upgrade JBossWS to 2.0.1.SP2_CP06
- Upgrade jbossws-native42 to 2.0.1.SP2_CP06
- Upgrade JBossWS Common to 1.0.0.GA_CP04
- Upgrade JBossWS Framework to 2.0.1.GA_CP04
- Upgrade jbossws-spi to 1.0.0.GA_CP02
- Upgrade to JGroups 2.4.6
- Upgrade hsqldb to 1.8.0.8.patch02
- Upgrade slide-webdavclient to 2.1.jdk15
- Upgrade Xerces to 2.7.1.patch01
- Update tp and tp-licenses tar ball
- Update jarmap entry for jboss-remoting, add jarmap entry for webdavlib
  and jcommon

* Thu Feb 19 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP04.3
- Rebuild

* Thu Feb 19 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP04.2
- Upgrade JBoss-Messaging to 1.4.0.SP3-CP07
- Update src tar ball and tp-license tar ball

* Wed Jan 28 2009 Permaine Cheung <pcheung@redhat.com> 4.3.0-3.GA_CP04.1
- Upgrade to CP04
- Upgrade apache-beanutils to 1.8.0
- Upgrade hibernate3 to 3.2.4.SP1_CP07
- Upgrade JBoss-Messaging to 1.4.0.SP3-CP06
- Upgrade JBoss JAXR to 1.2.0.SP2
- Upgrade Remoting to 2.2.2.SP11
- Upgrade JGroups to 2.4.5
- Upgrade JBoss Cache to 1.4.1.SP11
- Upgrade JBossWS to 2.0.1.SP2_CP05
- Upgrade jbossws-native42 to 2.0.1.SP2_CP05
- Upgrade JBossWS Common to 1.0.0.GA_CP03
- Upgrade JBossWS Framework to 2.0.1.GA_CP03
- Update JBossTS to 4.2.3 SP5 CP03
- Upgrade JBoss Web to 2.0.0-6.CP09
- Upgrade Xalan to 2.7.0.patch02
- Update tp-licenses tar ball
- Change name of EULA to JBossEULA.txt
- Update jarmap to use commons-logging-jboss, jboss-vfs and ws-scout0

* Thu Oct 23 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-3.GA_CP03.6
- Create user in the client subpackage too in case it is instaled before
  the main package

* Thu Oct 23 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-3.GA_CP03.5
- More client subpackage adjustments

* Wed Oct 22 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-3.GA_CP03.4
- Remove non-client files from client subpackage

* Wed Oct 22 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-3.GA_CP03.3
- Ship client files in a -client subpackage

* Wed Oct 22 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-3.GA_CP03.2
- Link to commons-policy from its own package and require it

* Fri Oct 17 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-3.GA_CP03.1
- Upgrade to CP03
- Use jboss-microcontainer RPM instead of binary JAR
- Upgrade hibernate3 to 3.2.4.SP1_CP06
- Upgrade hibernate3-annotations to 3.2.1.GA_CP03
- Upgrade hibernate3-entitymanager to 3.2.1.GA_CP04
- Upgrade jboss-aop to 1.5.5.CP03
- Upgrade jboss-cache to 1.4.1.SP10
- Upgrade jboss-messaging to 1.4.0.SP3_CP04
- Upgrade jboss-remoting to 2.2.2.SP10
- Upgrade jbossweb to 2.0.0.CP08
- Upgrade jbossws-spi to 1.0.0.GA_CP01
- Upgrade jbossws-common to 1.0.0.GA_CP02
- Upgrade jbossws-framework to 2.0.1.GA_CP02
- Upgrade jbossws to 2.0.1.SP2_CP04
- Upgrade jbossws-native42 to 2.0.1.SP2_CP04
- Upgrade JGroups to 2.4.4
- Do not Require commons-beanutils at runtime
  From David Walluck <dwalluck@redhat.com>:
- Remove some unnecessary requires

* Tue Aug 05 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.10
- Rebuild with jbossws 2.0.1_CP03

* Wed Jul 30 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.9
- Retagged sources

* Thu Jul 24 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.8
- Fix jarmap

* Tue Jul 22 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.7
- Use without ZIP to fill the -bin subpackage

* Tue Jul 22 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.6
- Use glassfish-{jaxws,jaxb} packages from Clive

* Fri Jul 18 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.5
- Fix bin subpackage name
- Use sun-{jaxws,jaxb} packages so that glassfish-jaf is used, not sun-jaf

* Thu Jul 17 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.3
- Respin src tar ball for jboss-client fix

* Thu Jul 17 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.2
  From Deepak Bhole <dbhole@redhat.com>:
- Add patch for JBPAPP-780 and JBPAPP-907
- Implement -bin as described in JBPAPP-858

* Thu Jul 17 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP02.ep1.1
- Upgrade to CP02
- Use jboss-jaxr RPM instead of binary JAR (upgrade to 1.2.0-SP1)
- Upgrade javassist to 3.8.0
- Upgrade hibernate3 to 3.2.4.SP1_CP04
- Upgrade hibernate3-annotations to 3.2.1.GA_CP02
- Upgrade hibernate3-entitymanager to 3.2.1.GA_CP03
- Re-activate linking to hibernate3 JARs
- Upgrade jboss-aop to 1.5.5.CP02
- Upgrade jboss-remoting to 2.2.2.SP8
- Upgrade jbossts to 4.2.3.SP5_CP02
- Upgrade jbossweb to 2.0.0.CP06
- Upgrade jbossxb to 1.0.0.SP3
- Upgrade jbossws to jbossws-2.0.1.SP2_CP02
- Upgrade jbossws-common and jbossws-framework  to match the above.

* Mon Apr 28 2008 Deepak Bhole <dbhole@redhat.com> 4.3.0-2.GA_CP01.ep1.7
- Update map to fix location of jboss-messaging-client jar

* Mon Apr 21 2008 Deepak Bhole <dbhole@redhat.com> 4.3.0-2.GA_CP01.ep1.6
- Update sources with new tag

* Mon Apr 21 2008 Deepak Bhole <dbhole@redhat.com> 4.3.0-2.GA_CP01.ep1.5
- Update source tarball with fix for JBPAPP-778

* Thu Apr 17 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP01.ep1.4
- Respin of sources from RC1 to RC2

* Thu Apr 10 2008 Deepak Bhole <dbhole@redhat.com> 4.3.0-2.GA_CP01.ep1.3
- Revert init script changes for JBPAPP-571
- Update tp and tp-licenses tarball names
- Added defattr attributes to the zip subpackages

* Fri Apr 04 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP01.ep1.2
- Upgrade glassfish-jsf to 1.2_08 (CVE-2008-1285)

* Fri Apr 04 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-2.GA_CP01.ep1.1
- Upgrade to CP01
- Remove junit as a run-time dependency
- Upgrade JGroups to 2.4.2.GA_CP01
- Upgrade JBoss Cache to 1.4.1.SP9
- Upgrade JBoss TS to 4.2.3.SP5_CP01
- Upgrade JBoss Remoting to 2.2.2.SP7
- Upgrade JBoss WS to 1.2.1.GA_CP03
- Upgrade Hibernate to 3.2.4.SP1_CP03
- Relax dependency on jsf to allow upgrading jsf next time around even in
  the presence of circular dependencies
- Remove JBPM as run-time dependencies (not needed)
- Update concurrent to 1.3.4.patch01
- Update JBoss AOP to 1.5.5.CP01

* Thu Jan 03 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.8
- JBPAPP-432 Update mbean name to a generic one. jboss.jms

* Wed Jan 02 2008 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.7
- Upgrade JBoss Chache to 1.4.1.SP8.patch02 to properly fix JBCACHE-1246

* Wed Dec 19 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.6
- Upgrade JBoss Chache to 1.4.1.SP8.patch01 to fix JBCACHE-1246

* Tue Dec 18 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.5
- Rebuild to fix version string of the hsqldb with secuirty fix

* Mon Dec 17 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.4
- Rebuild to get JDK 1.4 versions of hsqldb and wsdl4j into the ZIP files

* Fri Dec 14 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.3
- Rebuild with JBM fixed for SecurityManager use
- Make explicity that Remoting must be at least 2.2.2.SP4

* Thu Dec 13 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.2
- Respin final (GA) release
- Upgrade JBoss Messaging to 1.4.0-1.SP3
- Upgrade to Remoting 2.2.2.SP4

* Wed Dec 12 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-1.ep1.1
- Final (GA) release
- Upgrade JBoss Web to 2.0.0-3.CP05
- Upgrade JBoss Cache to 1.4.1-2.SP8
- Make ws-commons-policy a BR, but not an R

* Wed Dec 12 2007 Deepak Bhole <dbhole@redhat.com> 4.3.0-0.3.rc1.ep1.2
- Fix JBPAPP-501: Remove readme.html from JBOSS_HOME

* Fri Dec 06 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.3.rc1.ep1.1
- Refresh source tar ball
- Upgrade to Remoting 2.2.2.SP3
- Upgrade to Messaging 1.4.0.SP2

* Sat Dec 01 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta4.ep1.2
- Require new versions of JBoss Remoting and JBoss Web

* Fri Nov 30 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta4.ep1.1
- Refresh source tar ball
- Use newer JBoss Cache
- Use JBoss Web that prints version correctly as CP04

* Mon Nov 26 2007 Deepak Bhole <dbhole@redhat.com> 4.3.0-0.2.beta3.ep1.4
- Fix JBPAPP-411 - disallow setting of JBOSS_UDP_PORT

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta3.ep1.3
- Use glassfish JAF, JavaMail, JSF and JSTL packages
- Use ws-commons-policy package

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta3.ep1.2
- Upgrade JBoss Cache to SP7
- Update source tar ball

* Tue Nov 20 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta3.ep1.1
- Refresh Messaging snapshot
- Update source tar ball
- New EULA
- Use JBPM binary RPMs

* Tue Nov 20 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta2.ep1.2
- Use hsqldb RPM
- Upgrade JBoss Common to 1.2.1.GA

* Wed Nov 14 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta2.ep1.1
- Remove jbossws-wsconsume-impl as this is not any longer needed in JBossWS 2.x
- Upgrade source to newer snapshot
- Use a snapshot of Messaging from the tp tar ball, not the RPM version
- Disable patching (sed) of docs/examples/jms pending further investigation

* Tue Nov 06 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta1.ep1.4
- Add missing run-time dependencies to fix broken links

* Mon Nov 05 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta1.ep1.3
- Refresh build with updated components

* Mon Oct 29 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta1.ep1.2
- Upgrade Messaging to 1.4.0.SP1
- New source snapshot (r66691)
- Use jbossws-* packages

* Mon Oct 29 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.2.beta1.ep1.1
- Update components (updated Messaging not yet available)

* Thu Oct 25 2007 Deepak Bhole <dbhole@redhat.com> 4.3.0-0.1.test02.ep1.3
- Sync with V1 spec
- Update sources and tp tarball

* Tue Sep 18 2007 Deepak Bhole <dbhole@redhat.com> 4.3.0-0.1.test02.ep1.2
- Synch with CP01 spec
- Update sources

* Thu Sep 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-2.CP01.ep1.3
- Ask for JBossXB CP01 to enforce upgrading

* Mon Sep 10 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.2
- Updated sources to rev. 65277
- Trim changelog to May 2007 and higher
- Update jarmap to use servlet-api and jsp-api from jbossweb
- Use javacc and j-c-lang during build

* Thu Aug 30 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.1
- Final CP01 build

* Tue Aug 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.4
- Update to rev 64922

* Mon Aug 20 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.3
- Nightly build

* Tue Aug 14 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.2
- Update revision
- Change to use more brew built components
- Re-wrote the jar signature computation script to optimize it significantly

* Tue Aug 14 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.1.test02.ep1.1
  From Clebert Suconic <clebert.suconic@jboss.com>:
- JBAS-4600 - Renaming mq variables on build and adding jboss-messaging into
  build-thirdparty
- Still build with MQ as JMS provider

* Tue Aug 14 2007 Fernando Nasser <fnasser@redhat.com> 4.3.0-0.1.test01.ep1.1
- Test build of the EAP 4.2 branch
- Re-enable pathes, not yet on this branch

* Mon Aug 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-0.1.CP01_test01.ep1.1
- Test build of CP branch
- Disable patches that are already in the branch

* Thu Jun 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-1.ep1.1
- Updates for GA build

* Mon Jun 25 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC8.ep1.1
- Upgrade to RC8
- Remove unnecessary requirement for jboss-profiler
- Removed extra org.jgroups section from jboss-log4j.xml (JBPAPP-225)
- Changed root logger ref to ASYNC (JBPAPP-223)
- From vivekl@redhat.com:
    Update jbossas-build-production-config.patch to comment out CLUSTER
    appender definition for the production config, replace org.jgroups
    level with WARN and org.jboss.ha with INFO 
    (JBPAPP-224/JBPAPP-225/JBPAPP-226)

* Fri Jun 15 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC7.ep1.1
- Upgrade to RC7
- Add EULA to rpm (JBPAPP-114)
- Mark copyright.txt and *.html in /var/lib/jbossas/ as %%doc

* Mon Jun 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.2
- Copy hibernate instead of linking it at run time

* Fri Jun 08 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.1
- Added context file to production config
- Added check to ensure that logs are writable by the correct user (bz# 239837)
- Install missing shell scripts (JBPAPP-114)
- Added -server option in run.bat (JBPAPP-202)
- Moved rpm specific changes to a separate section
- Changed seam logging level to WARN (JBPAPP-154)

* Wed May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.3
- Fix bug in production config patch that was causing build failure
- Set Xms and Xmx to 1503m

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.2
- Remove changes from the "disable auth" patch after noauth zip is created
- Set default config to "production", and add JBOSS_IP to the config files

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.1
- Update to RC5
- Set default startp config to production
- Change auth patching to make sources have the authentication changes
- Fixed JBPAPP-187, JBPAPP-179, JBPAPP-172, JBPAPP-180, JBPAPP-198

* Fri May 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC4.ep1.1
- Update to RC4
- Add checks to ensure that all patching for production config works

* Fri May 04 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC3.ep1.1
- Update to RC3
- JBPAPP-46: Remove production config changes patch (now done via build.xml)

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.2
- Update start and stop time to deal with machines with < 2GB memory

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.1
- Upgrade to RC2
- Fixed JBPAPP-46 via a patch (should happen though build.xml eventually)
- Fixed JBPAPP-138 (toplevel dir name for zip)
- Fixed JBPAPP-153 (remove second pooled invoker)

* Tue Apr 24 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC1.ep1.1
- Upgrade to RC1
- Added production config support

* Sun Apr 15 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR2.ep1.1
- Update to CR2
- Remove readme.html from jbossaseap/ dir, as it shouldn't be there 

* Fri Apr 13 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62338svn.ep1.1
- Update to latest snapshot

* Thu Apr 12 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62296svn.ep1.2
- Strip out docs

* Thu Apr 12 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62296svn.ep1.1
- Update to latest snapshot

* Wed Apr 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62277svn.ep1.1
- Update to latest snapshot

* Tue Apr 10 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62243svn.ep1.1
- Update to latest snapshot

* Thu Apr 05 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62137svn.ep1.2
- Added missing entry for starting the local rmi service

* Thu Apr 05 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62137svn.ep1.1
- Updated to latest snapshot
- Added -docs subpackage
- Change zip structure per new requirements
- Create two zips, one with auth, one without

* Wed Apr 04 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62105svn.ep1.1
- Updated to latest snapshot
- Enabled authentication by default, with no default user accounts
- Made ipv4 force conditional, only if OS is Linux

* Tue Apr 03 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62051svn.ep1.1
- Updated to latest snapshot
- Changed release convention to now use svn revision instead of date

* Fri Mar 30 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070330svn.ep1.1
- Updated sources
- Fixed cglib link location
- Cleared and re-generated thirdparty tarball

* Fri Mar 23 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070323svn.ep1.1
- Update to new snapshot
- Updated thirdparty and removed qdox and sun-servlet (now comes from rpm)

* Mon Mar 19 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070319svn.ep1.1
- Update to latest copy
- Changed location of .zip and -src.zip files

* Fri Mar 09 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070309svn.ep1.1
- Updated to latest svn snapshot
- Made patches generic so that tag changes don't require patch updates
- Renamed binary and src zips to be dated, to prevent confusion

* Fri Mar 02 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR1.el4ep1.3
- Added support for pulling items from %{_javadir}/repository.jboss.com
- Map to new jacor-jboss jar location

* Thu Mar 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR1.el4ep1.2
- Added a new -src-zip subpackage
- Removed xalan compatibility patch (not longer needed)
- Misc. cleanup

* Wed Feb 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR1.el4ep1.1
- Upgrade to 4.2.0
- Simplied a lot of the code
- Added a jbossas-zip subpackage that has a snapshot zip

* Tue Jan 23 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.5
- Move init scripts and /usr/bin/* links out of core and into jbossas
- Fixed bz. 222765, 223025, 223262

* Tue Jan 09 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.4
- Disable default user/password via the enableauth patch

* Mon Jan 08 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.3
- Changes from pcheung@redhat to set up configurable start/stop delays
- Updated init script to try and send SIGTERM first
- Set up authentication to on by default
- Remove localhost binding

* Mon Dec 18 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.3
- Removed a file from jbossas-core that ened up there by mistake

* Fri Dec 08 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.2
- Added ownership for jbossas package files

* Tue Nov 14 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.1
- Upgrade to 4.0.5
- Build AS bits from source
- Add jars to /usr/share/java/jbossas
- Port security fixes from 4.0.4
- Added condrestart function to the init script
- From fnasser@redhat:
  - Add full paths for useradd/groupadd, and add shadow-utils requirement
- Frompcheung@redhat:
  - Increase timeout period in init script

* Wed Sep 27 2006 Deepak Bhole <dbhole@redhat.com> 4.0.4-1.el4s1.21
  From Permaine Cheung <pcheung@redhat.com>:
- Increase timeout period in init script

* Thu Aug 31 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.20
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script flags to netstat

* Thu Aug 31 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.19
  From Permaine Cheung <pcheung@redhat.com>:
- Check for non-empty JBOSS_HOME when copying
- Check for write permissions

* Wed Aug 16 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.18
- Document use of config files
  From Permaine Cheung <pcheung@redhat.com>:
- Set default values in init script

* Wed Aug 16 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.17
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script for when JBOSS_HOME is not /var/lib/jbossas

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.16
  From Permaine Cheung <pcheung@redhat.com>:
- Remove unecessary line from init script

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.15
- Rebuild with complete init script, truncated on previous build

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.14
  From Permaine Cheung <pcheung@redhat.com>:
- Added pid file and more info for status

* Fri Aug 04 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.13
- Disable patch for scripts
- Remove added sun-specs.txt as per request

* Fri Aug 04 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-0:4.0.4-1.el4s1.12
- Merge in differences wrt 0:4.0.4-1.el4s1.11
- Fix naming and JBOSS_HOME resolution for scripts
- Revert symlinking for scripts: real files in JBOSS_HOME/bin
- Fix typo wrt SOURCE4 (sun-specs.txt)

* Thu Aug 03 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.11
- Command name separator is dash, not underscore

* Thu Aug 03 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.10
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script so that service is not started on boot by default
- Add 'status' option to the SysV init script

* Fri Jul 28 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.9
- Do not mark directories as config
- The init script is unmuttable, so it is not a config file either

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.8
  From Permaine Cheung <pcheung@redhat.com>:
- New version of init script with fixes

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.7
- Change file ownership to use jboss userid and group

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.6
- Group is also jboss, not jbossas

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.5
- Userid is jboss, not jbossas
  (fixed spec file, init script and configuration files)
- Remove userdel stuff, as it is not acceptable practice
  From Ralph Apel <r.apel at r-apel.de>:
- Restored symlinks from /usr/share/jbossas/bin --> /var/lib/jbossas/bin, 
  /usr/share/jbossas/docs --> /usr/share/doc/jbossas and 
  /usr/share/jbossas/server --> /var/lib/jbossas/server
  JBOSS_HOME continues to be /var/lib/jbossas, but the
  jbossas OS user's home dir is still /usr/share/jbossas
  From Permaine Cheung <pcheung@redhat.com>:
- Fix to init script to wait for the server to complete startup and other fixes

* Thu Jul 27 2006 Permaine Cheung <pcheung@redhat.com> 0:4.0.4-1.el4s1.4
- New init script that handles several services

* Tue Jul 25 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.3
- Don't provide /etc/logrotate.d/jbossas: JB has its own log rotation
- New init script (modified from pcheung)
- Fix install of catalog
- Fix build environment of one example
- Sun licenses for dtd and xsd added from JB-4.0.2
- dropped docs/test (contained one testsuite summary text file)
- Restored symlinks from server config dirs to /var/log/jbossas/$conf
- Included sources in SRPM

* Fri Jul 21 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.2
- New init script (thx pcheung)
- Fix logrotate.d
- Move JBOSS_HOME to /var/lib/jbossas, 
- ./lib and ./client are symlinks to /usr/share/jbossas

* Mon Jul 10 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.1
- First build

